Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class Attachment

    java.lang.Object
      org.jbpm.task.Attachment

All Implemented Interfaces:
  Externalizable, Serializable

    @Entity
    public class Attachment

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`Attachment()`

Method Summary
`boolean` | `equals(Object obj)`
`AccessType` | `getAccessType()`
`Date` | `getAttachedAt()`
`User` | `getAttachedBy()`
`long` | `getAttachmentContentId()`
`String` | `getContentType()`
`Long` | `getId()`
`String` | `getName()`
`int` | `getSize()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setAccessType(AccessType accessType)`
`void` | `setAttachedAt(Date attachedAt)`
`void` | `setAttachedBy(User attachedBy)`
`void` | `setAttachmentContentId(long contentId)`
`void` | `setContent(Content content)` Sets the content for this attachment, i.e. the size and the attachmentContentId.
`void` | `setContentType(String contentType)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setSize(int size)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attachment

    public Attachment()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getId

    public Long getId()

### setId

    public void setId(long id)

### getName

    public String getName()

### setName

    public void setName(String name)

### getAccessType

    public AccessType getAccessType()

### setAccessType

    public void setAccessType(AccessType accessType)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getAttachedAt

    public Date getAttachedAt()

### setAttachedAt

    public void setAttachedAt(Date attachedAt)

### getAttachedBy

    public User getAttachedBy()

### setAttachedBy

    public void setAttachedBy(User attachedBy)

### getSize

    public int getSize()

### setContent

    public void setContent(Content content)

  Sets the content for this attachment, i.e. the size and the attachmentContentId.

  Parameters:
    `content` - attachment content

### setSize

    public void setSize(int size)

### getAttachmentContentId

    public long getAttachmentContentId()

### setAttachmentContentId

    public void setAttachmentContentId(long contentId)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.